/*
 *  TcPreferences.h
 *  ToyCars
 *
 *  Created by Ruben Henner Zilibowitz on 16/12/05.
 *  Copyright 2005 Ruben Henner Zilibowitz. All rights reserved.
 *
 */

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

class TcPreferences
{
public:
    TcPreferences(const char *inFilename);
    ~TcPreferences();
    
	int getScreenWidth() { return screenwidth; }
    int getScreenHeight() { return screenheight; }
    bool getFullscreen() { return fullscreen; }
    int getMaxParticles() { return maxParticles; }
    double getFuseLength() { return fuseLength; }
	bool getModifiedScreenPrefs() { return modifiedScreenPrefs; }
	bool getMusic() { return music; }
	bool getSounds() { return sounds; }
	
    void savePreferences(const char *filename);
	
	void drawPrefs();
	
protected:
    void defaultPrefs();
	
    int screenwidth, screenheight;
    bool fullscreen;
	int maxParticles;
	char *filename;
	double fuseLength;
	bool modifiedScreenPrefs;
	bool music;
	bool sounds;
};
